<?php

if (!is_user()) {header('Location: /?mod=user&act=login');} //Переадресация гостей


$act_name = 'Мой профиль'; //Имя действия
require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">'.$act_name.'</div>'; //Вывод заголовка

//Обработка
if (isset($_POST['submit'])) {
if (!empty($_POST['icq'])) {
if (!preg_match('|^[0-9\-]+$|i', filtr($_POST['icq']))) {
$error .= 'Номер ICQ может состоять только из цифр!<br />';
}
if (strlen(filtr($_POST['icq'])) >= 9 or strlen(filtr($_POST['icq'])) < 5) {
$error .= 'Номер ICQ должен содержать в себе от 5 до 9 цифр!<br />';
}
}
if (isset($error)) {
echo '<div class="error"><b>Возникли ошибки:</b><br />'.$error.'</div>';
}
if(!isset($error)) {
$prof_name = filtr($_POST['name']);
$prof_sex = filtr($_POST['sex']);
$prof_fname = filtr($_POST['fname']);
$prof_about = filtr($_POST['about']);
$prof_city = filtr($_POST['city']);
$prof_icq = filtr($_POST['icq']);
$prof_email = filtr($_POST['email']);
$prof_skype = filtr($_POST['skype']);
$sqlm = $mysql->query('UPDATE `'.PREFIX.'users` SET  `email`="'.$prof_email.'" WHERE `id`='.num($user).'');
echo '<div class="success">Профиль изменен!</div>';
}
}

//Получение данных
$query_profile = $mysql -> query("SELECT * FROM `".PREFIX."users` WHERE `id`='".num($user)."' LIMIT 1;");
$data = $query_profile -> fetch_assoc();

//Вывод формы
echo '<div class="text_form_all">
<form action="/?mod=user&amp;act=profile" method="POST"> 
<center><b>Личные данные</b></center>
Имя:<br /> 
<input name="name" type="text" value="'.filtr($data['name']).'"  class="text_form_input"/><br />
Фамилия:<br /> 
<input name="fname" type="text" value="'.filtr($data['fname']).'"  class="text_form_input"/><br />
Город:<br /> 
<input name="city" type="text" value="'.filtr($data['city']).'" class="text_form_input" /><br />  
О себе:<br /> 
<textarea cols="20" rows="2" name="about" class="text_form_textarea">'.filtr($data['about']).'</textarea><br />
Пол:<br>
<select size="1" name="sex" class="text_form_select">
<option value="1">Мужской</option>
<option value="2">Женский</option>
</select><br />
<center><b>Связь</b></center>
Номер ICQ:<br /> 
<input name="icq" type="text" value="'.filtr($data['icq']).'"  class="text_form_input" /><br /> 
E-mail:<br /> 
<input name="email" type="text" value="'.filtr($data['email']).'"  class="text_form_input"/><br />
Skype:<br /> 
<input name="skype" type="text" value="'.filtr($data['skype']).'"  class="text_form_input"/><br />
<input type="submit" name="submit" value="Редактировать" class="text_form_submit"/> 
</form></div>'; 

//Навигация
echo '<a class="touch" href="/?mod=user&amp;act=cabinet">'.icons('return.png','16|16').' В кабинет</a>';
require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног
?>
